/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the OrganizationMutableValidationCenterSettingsInteractionSettings type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &OrganizationMutableValidationCenterSettingsInteractionSettings{}

// OrganizationMutableValidationCenterSettingsInteractionSettings struct for OrganizationMutableValidationCenterSettingsInteractionSettings
type OrganizationMutableValidationCenterSettingsInteractionSettings struct {
	ValidateScripts *bool `json:"validate_scripts,omitempty"`
	ValidateActions *bool `json:"validate_actions,omitempty"`
	ValidateActivityActions *bool `json:"validate_activity_actions,omitempty"`
	ValidateBranchesActions *bool `json:"validate_branches_actions,omitempty"`
	ValidateEntrypointActions *bool `json:"validate_entrypoint_actions,omitempty"`
	ValidateMessageLinkActions *bool `json:"validate_message_link_actions,omitempty"`
	ValidateSignatureActions *bool `json:"validate_signature_actions,omitempty"`
	ValidateVloopActions *bool `json:"validate_vloop_actions,omitempty"`
	ValidatePartnerActions *bool `json:"validate_partner_actions,omitempty"`
	ValidateTransactionParams *bool `json:"validate_transaction_params,omitempty"`
	ValidateTriggers *bool `json:"validate_triggers,omitempty"`
	ValidateEvents *bool `json:"validate_events,omitempty"`
	ValidateMetrics *bool `json:"validate_metrics,omitempty"`
	ValidateReports *bool `json:"validate_reports,omitempty"`
}

// NewOrganizationMutableValidationCenterSettingsInteractionSettings instantiates a new OrganizationMutableValidationCenterSettingsInteractionSettings object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewOrganizationMutableValidationCenterSettingsInteractionSettings() *OrganizationMutableValidationCenterSettingsInteractionSettings {
	this := OrganizationMutableValidationCenterSettingsInteractionSettings{}
	return &this
}

// NewOrganizationMutableValidationCenterSettingsInteractionSettingsWithDefaults instantiates a new OrganizationMutableValidationCenterSettingsInteractionSettings object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewOrganizationMutableValidationCenterSettingsInteractionSettingsWithDefaults() *OrganizationMutableValidationCenterSettingsInteractionSettings {
	this := OrganizationMutableValidationCenterSettingsInteractionSettings{}
	return &this
}

// GetValidateScripts returns the ValidateScripts field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateScripts() bool {
	if o == nil || IsNil(o.ValidateScripts) {
		var ret bool
		return ret
	}
	return *o.ValidateScripts
}

// GetValidateScriptsOk returns a tuple with the ValidateScripts field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateScriptsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateScripts) {
		return nil, false
	}
	return o.ValidateScripts, true
}

// HasValidateScripts returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateScripts() bool {
	if o != nil && !IsNil(o.ValidateScripts) {
		return true
	}

	return false
}

// SetValidateScripts gets a reference to the given bool and assigns it to the ValidateScripts field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateScripts(v bool) {
	o.ValidateScripts = &v
}

// GetValidateActions returns the ValidateActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateActions() bool {
	if o == nil || IsNil(o.ValidateActions) {
		var ret bool
		return ret
	}
	return *o.ValidateActions
}

// GetValidateActionsOk returns a tuple with the ValidateActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateActions) {
		return nil, false
	}
	return o.ValidateActions, true
}

// HasValidateActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateActions() bool {
	if o != nil && !IsNil(o.ValidateActions) {
		return true
	}

	return false
}

// SetValidateActions gets a reference to the given bool and assigns it to the ValidateActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateActions(v bool) {
	o.ValidateActions = &v
}

// GetValidateActivityActions returns the ValidateActivityActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateActivityActions() bool {
	if o == nil || IsNil(o.ValidateActivityActions) {
		var ret bool
		return ret
	}
	return *o.ValidateActivityActions
}

// GetValidateActivityActionsOk returns a tuple with the ValidateActivityActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateActivityActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateActivityActions) {
		return nil, false
	}
	return o.ValidateActivityActions, true
}

// HasValidateActivityActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateActivityActions() bool {
	if o != nil && !IsNil(o.ValidateActivityActions) {
		return true
	}

	return false
}

// SetValidateActivityActions gets a reference to the given bool and assigns it to the ValidateActivityActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateActivityActions(v bool) {
	o.ValidateActivityActions = &v
}

// GetValidateBranchesActions returns the ValidateBranchesActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateBranchesActions() bool {
	if o == nil || IsNil(o.ValidateBranchesActions) {
		var ret bool
		return ret
	}
	return *o.ValidateBranchesActions
}

// GetValidateBranchesActionsOk returns a tuple with the ValidateBranchesActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateBranchesActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateBranchesActions) {
		return nil, false
	}
	return o.ValidateBranchesActions, true
}

// HasValidateBranchesActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateBranchesActions() bool {
	if o != nil && !IsNil(o.ValidateBranchesActions) {
		return true
	}

	return false
}

// SetValidateBranchesActions gets a reference to the given bool and assigns it to the ValidateBranchesActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateBranchesActions(v bool) {
	o.ValidateBranchesActions = &v
}

// GetValidateEntrypointActions returns the ValidateEntrypointActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateEntrypointActions() bool {
	if o == nil || IsNil(o.ValidateEntrypointActions) {
		var ret bool
		return ret
	}
	return *o.ValidateEntrypointActions
}

// GetValidateEntrypointActionsOk returns a tuple with the ValidateEntrypointActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateEntrypointActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateEntrypointActions) {
		return nil, false
	}
	return o.ValidateEntrypointActions, true
}

// HasValidateEntrypointActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateEntrypointActions() bool {
	if o != nil && !IsNil(o.ValidateEntrypointActions) {
		return true
	}

	return false
}

// SetValidateEntrypointActions gets a reference to the given bool and assigns it to the ValidateEntrypointActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateEntrypointActions(v bool) {
	o.ValidateEntrypointActions = &v
}

// GetValidateMessageLinkActions returns the ValidateMessageLinkActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateMessageLinkActions() bool {
	if o == nil || IsNil(o.ValidateMessageLinkActions) {
		var ret bool
		return ret
	}
	return *o.ValidateMessageLinkActions
}

// GetValidateMessageLinkActionsOk returns a tuple with the ValidateMessageLinkActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateMessageLinkActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateMessageLinkActions) {
		return nil, false
	}
	return o.ValidateMessageLinkActions, true
}

// HasValidateMessageLinkActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateMessageLinkActions() bool {
	if o != nil && !IsNil(o.ValidateMessageLinkActions) {
		return true
	}

	return false
}

// SetValidateMessageLinkActions gets a reference to the given bool and assigns it to the ValidateMessageLinkActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateMessageLinkActions(v bool) {
	o.ValidateMessageLinkActions = &v
}

// GetValidateSignatureActions returns the ValidateSignatureActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateSignatureActions() bool {
	if o == nil || IsNil(o.ValidateSignatureActions) {
		var ret bool
		return ret
	}
	return *o.ValidateSignatureActions
}

// GetValidateSignatureActionsOk returns a tuple with the ValidateSignatureActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateSignatureActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateSignatureActions) {
		return nil, false
	}
	return o.ValidateSignatureActions, true
}

// HasValidateSignatureActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateSignatureActions() bool {
	if o != nil && !IsNil(o.ValidateSignatureActions) {
		return true
	}

	return false
}

// SetValidateSignatureActions gets a reference to the given bool and assigns it to the ValidateSignatureActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateSignatureActions(v bool) {
	o.ValidateSignatureActions = &v
}

// GetValidateVloopActions returns the ValidateVloopActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateVloopActions() bool {
	if o == nil || IsNil(o.ValidateVloopActions) {
		var ret bool
		return ret
	}
	return *o.ValidateVloopActions
}

// GetValidateVloopActionsOk returns a tuple with the ValidateVloopActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateVloopActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateVloopActions) {
		return nil, false
	}
	return o.ValidateVloopActions, true
}

// HasValidateVloopActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateVloopActions() bool {
	if o != nil && !IsNil(o.ValidateVloopActions) {
		return true
	}

	return false
}

// SetValidateVloopActions gets a reference to the given bool and assigns it to the ValidateVloopActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateVloopActions(v bool) {
	o.ValidateVloopActions = &v
}

// GetValidatePartnerActions returns the ValidatePartnerActions field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidatePartnerActions() bool {
	if o == nil || IsNil(o.ValidatePartnerActions) {
		var ret bool
		return ret
	}
	return *o.ValidatePartnerActions
}

// GetValidatePartnerActionsOk returns a tuple with the ValidatePartnerActions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidatePartnerActionsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidatePartnerActions) {
		return nil, false
	}
	return o.ValidatePartnerActions, true
}

// HasValidatePartnerActions returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidatePartnerActions() bool {
	if o != nil && !IsNil(o.ValidatePartnerActions) {
		return true
	}

	return false
}

// SetValidatePartnerActions gets a reference to the given bool and assigns it to the ValidatePartnerActions field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidatePartnerActions(v bool) {
	o.ValidatePartnerActions = &v
}

// GetValidateTransactionParams returns the ValidateTransactionParams field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateTransactionParams() bool {
	if o == nil || IsNil(o.ValidateTransactionParams) {
		var ret bool
		return ret
	}
	return *o.ValidateTransactionParams
}

// GetValidateTransactionParamsOk returns a tuple with the ValidateTransactionParams field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateTransactionParamsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateTransactionParams) {
		return nil, false
	}
	return o.ValidateTransactionParams, true
}

// HasValidateTransactionParams returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateTransactionParams() bool {
	if o != nil && !IsNil(o.ValidateTransactionParams) {
		return true
	}

	return false
}

// SetValidateTransactionParams gets a reference to the given bool and assigns it to the ValidateTransactionParams field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateTransactionParams(v bool) {
	o.ValidateTransactionParams = &v
}

// GetValidateTriggers returns the ValidateTriggers field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateTriggers() bool {
	if o == nil || IsNil(o.ValidateTriggers) {
		var ret bool
		return ret
	}
	return *o.ValidateTriggers
}

// GetValidateTriggersOk returns a tuple with the ValidateTriggers field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateTriggersOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateTriggers) {
		return nil, false
	}
	return o.ValidateTriggers, true
}

// HasValidateTriggers returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateTriggers() bool {
	if o != nil && !IsNil(o.ValidateTriggers) {
		return true
	}

	return false
}

// SetValidateTriggers gets a reference to the given bool and assigns it to the ValidateTriggers field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateTriggers(v bool) {
	o.ValidateTriggers = &v
}

// GetValidateEvents returns the ValidateEvents field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateEvents() bool {
	if o == nil || IsNil(o.ValidateEvents) {
		var ret bool
		return ret
	}
	return *o.ValidateEvents
}

// GetValidateEventsOk returns a tuple with the ValidateEvents field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateEventsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateEvents) {
		return nil, false
	}
	return o.ValidateEvents, true
}

// HasValidateEvents returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateEvents() bool {
	if o != nil && !IsNil(o.ValidateEvents) {
		return true
	}

	return false
}

// SetValidateEvents gets a reference to the given bool and assigns it to the ValidateEvents field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateEvents(v bool) {
	o.ValidateEvents = &v
}

// GetValidateMetrics returns the ValidateMetrics field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateMetrics() bool {
	if o == nil || IsNil(o.ValidateMetrics) {
		var ret bool
		return ret
	}
	return *o.ValidateMetrics
}

// GetValidateMetricsOk returns a tuple with the ValidateMetrics field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateMetricsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateMetrics) {
		return nil, false
	}
	return o.ValidateMetrics, true
}

// HasValidateMetrics returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateMetrics() bool {
	if o != nil && !IsNil(o.ValidateMetrics) {
		return true
	}

	return false
}

// SetValidateMetrics gets a reference to the given bool and assigns it to the ValidateMetrics field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateMetrics(v bool) {
	o.ValidateMetrics = &v
}

// GetValidateReports returns the ValidateReports field value if set, zero value otherwise.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateReports() bool {
	if o == nil || IsNil(o.ValidateReports) {
		var ret bool
		return ret
	}
	return *o.ValidateReports
}

// GetValidateReportsOk returns a tuple with the ValidateReports field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) GetValidateReportsOk() (*bool, bool) {
	if o == nil || IsNil(o.ValidateReports) {
		return nil, false
	}
	return o.ValidateReports, true
}

// HasValidateReports returns a boolean if a field has been set.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) HasValidateReports() bool {
	if o != nil && !IsNil(o.ValidateReports) {
		return true
	}

	return false
}

// SetValidateReports gets a reference to the given bool and assigns it to the ValidateReports field.
func (o *OrganizationMutableValidationCenterSettingsInteractionSettings) SetValidateReports(v bool) {
	o.ValidateReports = &v
}

func (o OrganizationMutableValidationCenterSettingsInteractionSettings) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o OrganizationMutableValidationCenterSettingsInteractionSettings) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.ValidateScripts) {
		toSerialize["validate_scripts"] = o.ValidateScripts
	}
	if !IsNil(o.ValidateActions) {
		toSerialize["validate_actions"] = o.ValidateActions
	}
	if !IsNil(o.ValidateActivityActions) {
		toSerialize["validate_activity_actions"] = o.ValidateActivityActions
	}
	if !IsNil(o.ValidateBranchesActions) {
		toSerialize["validate_branches_actions"] = o.ValidateBranchesActions
	}
	if !IsNil(o.ValidateEntrypointActions) {
		toSerialize["validate_entrypoint_actions"] = o.ValidateEntrypointActions
	}
	if !IsNil(o.ValidateMessageLinkActions) {
		toSerialize["validate_message_link_actions"] = o.ValidateMessageLinkActions
	}
	if !IsNil(o.ValidateSignatureActions) {
		toSerialize["validate_signature_actions"] = o.ValidateSignatureActions
	}
	if !IsNil(o.ValidateVloopActions) {
		toSerialize["validate_vloop_actions"] = o.ValidateVloopActions
	}
	if !IsNil(o.ValidatePartnerActions) {
		toSerialize["validate_partner_actions"] = o.ValidatePartnerActions
	}
	if !IsNil(o.ValidateTransactionParams) {
		toSerialize["validate_transaction_params"] = o.ValidateTransactionParams
	}
	if !IsNil(o.ValidateTriggers) {
		toSerialize["validate_triggers"] = o.ValidateTriggers
	}
	if !IsNil(o.ValidateEvents) {
		toSerialize["validate_events"] = o.ValidateEvents
	}
	if !IsNil(o.ValidateMetrics) {
		toSerialize["validate_metrics"] = o.ValidateMetrics
	}
	if !IsNil(o.ValidateReports) {
		toSerialize["validate_reports"] = o.ValidateReports
	}
	return toSerialize, nil
}

type NullableOrganizationMutableValidationCenterSettingsInteractionSettings struct {
	value *OrganizationMutableValidationCenterSettingsInteractionSettings
	isSet bool
}

func (v NullableOrganizationMutableValidationCenterSettingsInteractionSettings) Get() *OrganizationMutableValidationCenterSettingsInteractionSettings {
	return v.value
}

func (v *NullableOrganizationMutableValidationCenterSettingsInteractionSettings) Set(val *OrganizationMutableValidationCenterSettingsInteractionSettings) {
	v.value = val
	v.isSet = true
}

func (v NullableOrganizationMutableValidationCenterSettingsInteractionSettings) IsSet() bool {
	return v.isSet
}

func (v *NullableOrganizationMutableValidationCenterSettingsInteractionSettings) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableOrganizationMutableValidationCenterSettingsInteractionSettings(val *OrganizationMutableValidationCenterSettingsInteractionSettings) *NullableOrganizationMutableValidationCenterSettingsInteractionSettings {
	return &NullableOrganizationMutableValidationCenterSettingsInteractionSettings{value: val, isSet: true}
}

func (v NullableOrganizationMutableValidationCenterSettingsInteractionSettings) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableOrganizationMutableValidationCenterSettingsInteractionSettings) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


